org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.runtime

## Interface ETypedElementPrimitiveTypeResult<T>

All Superinterfaces:
  ETypedElementResult

    public interface ETypedElementPrimitiveTypeResult<T>
    extends ETypedElementResult

A representation of the model object 'ETyped Element Primitive Type Result'. This class represents the result of evaluating the value of a multiplicity-one DerivedTypedElement by means of a single-valued query .

The following features are supported:

- `Result`

See Also:
  `RuntimePackage.getETypedElementPrimitiveTypeResult()`
Generated:
Model:

### Method Summary

All Methods Instance Methods Abstract Methods
`T` `getResult()` Returns the value of the 'Result' attribute.
`void` `setResult(T value)` Sets the value of the '`Result`' attribute.

### Methods inherited from interface org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.runtime.ETypedElementResult

`getDerivedTypedElement, getException, getParameterValues, getSource, setDerivedTypedElement, setException, setSource`

### Method Detail

#### getResult

    T getResult()

Returns the value of the 'Result' attribute.

If the meaning of the 'Result' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Result' attribute.
See Also:
  `setResult(Object)`, `RuntimePackage.getETypedElementPrimitiveTypeResult_Result()`
Generated:
Model:

#### setResult

    void setResult(T value)

Sets the value of the '`Result`' attribute.

Parameters:
  `value` - the new value of the 'Result' attribute.
See Also:
  `getResult()`
Generated: